> ## Documentation Index
> Fetch the complete documentation index at: https://docs.saucerswap.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get compact data for all pools

| Hedera Network | Base URL                                                                   |
| -------------- | -------------------------------------------------------------------------- |
| Mainnet        | [https://api.saucerswap.finance](https://api.saucerswap.finance)           |
| Testnet        | [https://test-api.saucerswap.finance](https://test-api.saucerswap.finance) |
| Previewnet     | *Not supported*                                                            |


## OpenAPI

````yaml GET /pools
openapi: 3.0.4
info:
  title: SaucerSwap REST API
  version: 1.0.0
servers:
  - url: https://api.saucerswap.finance
  - url: https://test-api.saucerswap.finance
security: []
paths:
  /pools:
    get:
      tags:
        - Pools
      summary: Get compact data for all pools
      parameters:
        - $ref: '#/components/parameters/ApiKeyParam'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PoolCompact'
components:
  parameters:
    ApiKeyParam:
      name: x-api-key
      in: header
      required: true
      schema:
        type: string
        default: 875e1017-87b8-4b12-8301-6aa1f1aa073b
      description: >-
        API key for authentication. The demo api key provided is globally rate
        limited. Do not use in production.
  schemas:
    PoolCompact:
      type: object
      properties:
        id:
          type: integer
          example: 213
          description: Pool id
        contractId:
          type: string
          example: 0.0.1465865
          description: Contract id (shard.realm.num)
        lpToken:
          $ref: '#/components/schemas/LPToken'
        lpTokenReserve:
          type: string
          description: LP token reserve in its smallest unit
          example: '23490447137584'
        tokenA:
          $ref: '#/components/schemas/TokenACompact'
        tokenReserveA:
          type: string
          description: Token A reserve in its smallest unit
          example: '25185652046087'
        tokenB:
          $ref: '#/components/schemas/TokenBCompact'
        tokenReserveB:
          type: string
          description: Token B reserve in its smallest unit
          example: '22634187941347'
      required:
        - id
        - contractId
        - lpToken
        - lpTokenReserve
        - tokenA
        - tokenReserveA
        - tokenB
        - tokenReserveB
    LPToken:
      allOf:
        - $ref: '#/components/schemas/TokenSimple'
      example:
        id: 0.0.1465866
        name: SS-LP SAUCE - XSAUCE
        symbol: SAUCE - XSAUCE
        decimals: 8
        priceUsd: 3.7760690082569948
    TokenACompact:
      allOf:
        - $ref: '#/components/schemas/TokenCompact'
      example:
        id: 0.0.731861
        name: SAUCE
        symbol: SAUCE
        decimals: 6
        priceUsd: 0.01760954
    TokenBCompact:
      allOf:
        - $ref: '#/components/schemas/TokenCompact'
      example:
        id: 0.0.1460200
        name: xSAUCE
        symbol: XSAUCE
        decimals: 6
        priceUsd: 0.01959459
    TokenSimple:
      type: object
      properties:
        id:
          type: string
          description: Token id (shard.realm.num)
          example: 0.0.731861
        name:
          type: string
          description: Token name
          example: SAUCE
        symbol:
          type: string
          description: Token syymbol
          example: SAUCE
        decimals:
          type: integer
          description: Token decimal places
          example: 6
        priceUsd:
          type: number
          description: Token price in terms of USD
          format: float
          example: 0.01760954
      required:
        - id
        - name
        - symbol
        - decimals
        - priceUsd
    TokenCompact:
      type: object
      properties:
        id:
          type: string
          description: Token id (shard.realm.num)
          example: 0.0.731861
        icon:
          type: string
          description: Relative path to token icon
          example: /images/tokens/sauce.svg
        symbol:
          type: string
          description: Token symbol
          example: SAUCE
        decimals:
          type: integer
          description: Token decimal places
          example: 6
        price:
          type: string
          example: '36806544'
          description: Token price in tinybar
        priceUsd:
          type: number
          format: float
          description: Token price in USD
          example: 0.01760954
        dueDiligenceComplete:
          type: boolean
          description: Token due diligence completed?
          example: true
        isFeeOnTransferToken:
          type: boolean
          description: Token has fees on transfer?
          example: false
      required:
        - id
        - name
        - icon
        - symbol
        - decimals
        - price
        - priceUsd
        - dueDiligenceComplete
        - isFeeOnTransferToken

````